GET students/{userIdentifier}/categoryDescendents/{categoryId}/results
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user passes at least one of the following conditions: Authenticated user matches a student who is assigned to content item result specified by "contentItemResultId" uri parameter or by content of request. Authenticated user is a staff member and is assigned to the same center as a user who matches a student who is assigned to content item result specified by "contentItemResultId" uri parameter or by content of request.
- Authenticated user who is either StaffMember, Student
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| categoryId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PearsonEnglish.LearningServices.Core.Models.ContentItemResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| RegistrationId | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ContentItemId | globally unique identifier |
None. |
|
| ContentItemResultTypeId | PearsonEnglish.LearningServices.Core.Models.Enums.ContentItemResultTypes |
None. |
|
| Score | decimal number |
None. |
|
| DateStarted | date |
None. |
|
| DateCompleted | date |
None. |
|
| Duration | integer |
None. |
|
| Comment | string |
None. |
|
| RefClassId | string |
None. |
|
| TeacherId | globally unique identifier |
None. |
|
| StudyMode | PearsonEnglish.LearningServices.Core.Models.Enums.StudyModes |
None. |
Response Formats
application/json, text/json
Sample:
{
"Id": "be5f161a-1bb9-4ca5-8bea-e9a80049df1c",
"RegistrationId": "7ac211ee-1f9c-45af-b92d-614e5709876f",
"StudentId": "668f51ab-a772-4471-b8b8-6ab8d0b6ec10",
"ContentItemId": "a49cf389-8a6f-4790-95a0-d115911b4457",
"ContentItemResultTypeId": 1,
"Score": 1.0,
"DateStarted": "2026-07-28T20:46:02.2941235+00:00",
"DateCompleted": "2026-07-28T20:46:02.2941235+00:00",
"Duration": 1,
"Comment": "sample string 5",
"RefClassId": "sample string 6",
"TeacherId": "ce0a4e18-06ed-409a-ba58-f6ea6b574746",
"StudyMode": 0
}